Loading...
Searching...
No Matches
casacore::python::casa_value_from_python Struct Reference

`#include <PycValueHolder.h>`

## Public Member Functions

| casa_value_from_python ()

## Static Public Member Functions

static void * | convertible (PyObject *obj_ptr)
| Check if it is a type we can convert.
static void | construct (PyObject *obj_ptr, boost::python::converter::rvalue_from_python_stage1_data *data)
| Constructs a ValueHolder from a Python object.
static ValueHolder | makeValueHolder (PyObject *obj_ptr)
| Make a ValueHolder from all possible python data types.
static ValueHolder | toVector (PyObject *obj_ptr)
| Make a vector from a python sequence.
static DataType | checkDataType (PyObject *obj_ptr)
| Get (and check) the data type in a python sequence.

## Detailed Description

Definition at line 60 of file PycValueHolder.h.

## Constructor & Destructor Documentation

## casa_value_from_python()

casacore::python::casa_value_from_python::casa_value_from_python | ( |  | ) |

inline

Definition at line 62 of file PycValueHolder.h.

References construct(), and convertible().

## Member Function Documentation

## checkDataType()

DataType casacore::python::casa_value_from_python::checkDataType | ( | PyObject * | obj_ptr | ) |

static

Get (and check) the data type in a python sequence.

## construct()

void casacore::python::casa_value_from_python::construct | ( | PyObject * | obj_ptr,
|  | boost::python::converter::rvalue_from_python_stage1_data * | data )

static

Constructs a ValueHolder from a Python object.

Referenced by casa_value_from_python().

## convertible()

void * casacore::python::casa_value_from_python::convertible | ( | PyObject * | obj_ptr | ) |

static

Check if it is a type we can convert.

Referenced by casa_value_from_python().

## makeValueHolder()

ValueHolder casacore::python::casa_value_from_python::makeValueHolder | ( | PyObject * | obj_ptr | ) |

static

Make a ValueHolder from all possible python data types.

## toVector()

ValueHolder casacore::python::casa_value_from_python::toVector | ( | PyObject * | obj_ptr | ) |

static

Make a vector from a python sequence.

The documentation for this struct was generated from the following file:

- python/Converters/PycValueHolder.h